Bug 76315 - system can't start on SiS 735 with kernel 2.4.18-17.7.x
system can't start on SiS 735 with kernel 2.4.18-17.7.x
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-19 16:20 EDT by Cyril Zlachevsky
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cyril Zlachevsky 2002-10-19 16:20:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ru-RU; rv:1.0.1) Gecko/20021003

Description of problem:
If /etc/sysconfig/harddisks contain
USE_DMA=1
MULTIPLE_IO=16
EIDE_32BIT=3
LOOKAHEAD=1
EXTRA_PARAMS=-X68

and kernel version is kernel 2.4.18-17.7.x then system can't start. Booting
process stop or freeze when hdparm try to start.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -F kernel-2.4.18-17.7.x.athlon.rpm 
2. USE_DMA=1 in /etc/sysconfig/harddisks
3. Reboot
	

Actual Results:  Booting process stop or freeze when hdparm try to start.

Additional info:

To IDE onboard controller connected hard drive Seagate Barracuda ATA IV and
CD-ROM drive TEAC 32x

$ cat /proc/ide/ide0/hda
ST340016A

$ cat /proc/ide/hdc/model
CD-532E-B
Comment 1 Arjan van de Ven 2002-10-20 05:16:34 EDT
EXTRA_PARAMS=-X68

PLEASE don't do that... if you have an 80 ribbon cable all you need to do is add
"ide0=ata66" to the kernel commandline (vmlinuz line in /boot/grub/grub.conf)
and the kernel will do all the DMA stuff properly. Forcing hdparm to do this is
asking for major problems!
Comment 2 Cyril Zlachevsky 2002-10-21 10:03:29 EDT
but
EXTRA_PARAMS=-X68
with kernel 2.4.18-10 and SiS 735 work fine!
Comment 3 Bugzilla owner 2004-09-30 11:40:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.